/*
 *	VFD interface header file
 *	See vfd.c for more info
 */

/* write a byte to the VFD cmd register */

extern void vfd_write_cmd(unsigned char);

/* write a byte to the VFD data register */

extern void vfd_write_data(unsigned char);

/* Clear and home the VFD */

extern void vfd_clear(void);

/* write a string of characters to the VFD */

extern void vfd_puts(const char * s);

/* Go to the specified position */

extern void vfd_goto(unsigned char xpos, unsigned char ypos);
	
/* Intialize the VFD - call before anything else */

extern void vfd_init(void);

/* Set the cursor position */

#define	vfd_cursor(x)	vfd_write(((x)&0x7F)|0x80)

/* Set VFD font */

extern void vfd_font (char);

extern void vfd_area(unsigned char x1, unsigned char y1, unsigned char x2, unsigned char y2, unsigned char cmd);
